#include"PreguntaNumerica.h"
#include<QIntValidator>
#include<iostream>

PreguntaNumerica::PreguntaNumerica()
    :PreguntaAbierta("numeric")
{
}

PreguntaNumerica::~PreguntaNumerica()
{
}

int PreguntaNumerica::aplicar(const QString &respuestaUsuario){

    bool ok;

    if(respuestaUsuario.toInt(&ok, 10) == respuesta.toInt(&ok, 10)){

        return 10;

    }else{

        return 0;

    }

}

